Package com.xebialabs.xlrelease.api.v1.forms

## Class DeliveryFilters

- java.lang.Object
- - com.xebialabs.xlrelease.api.v1.forms.AbstractDeliveryFilters
  - - com.xebialabs.xlrelease.api.v1.forms.DeliveryFilters

- All Implemented Interfaces:
    `java.io.Serializable`

      public class DeliveryFilters
      extends AbstractDeliveryFilters

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DeliveryFilters()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getOriginPatternId()` |
    `java.util.List<DeliveryStatus>` | `getStatuses()` |
    `void` | `setOriginPatternId​(java.lang.String originPatternId)` |
    `void` | `setStatuses​(java.util.List<DeliveryStatus> statuses)` |
    `DeliveryFilters` | `withOriginPatternId​(java.lang.String originPatternId)` |
    `DeliveryFilters` | `withStatuses​(DeliveryStatus... statuses)` |

    - ### Methods inherited from class com.xebialabs.xlrelease.api.v1.forms.AbstractDeliveryFilters

      `getFolderId, getTitle, getTrackedItemTitle, hasStatuses, isStrictTitleMatch, isStrictTrackedItemTitleMatch, setFolderId, setStrictTitleMatch, setTitle, withFolderId, withStrictTitleMatch, withStrictTrackedItemTitleMatch, withTitle, withTrackedItemTitle`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DeliveryFilters

          public DeliveryFilters()

  - ### Method Detail

    - #### withOriginPatternId

          public DeliveryFilters withOriginPatternId​(java.lang.String originPatternId)

    - #### withStatuses

          public DeliveryFilters withStatuses​(DeliveryStatus... statuses)

    - #### getOriginPatternId

          public java.lang.String getOriginPatternId()

    - #### setOriginPatternId

          public void setOriginPatternId​(java.lang.String originPatternId)

    - #### getStatuses

          public java.util.List<DeliveryStatus> getStatuses()

      Specified by:
        `getStatuses` in class `AbstractDeliveryFilters`

    - #### setStatuses

          public void setStatuses​(java.util.List<DeliveryStatus> statuses)